%global theme_name zen

Name:          drupal7-theme-%{theme_name}
Version:       5.4
Release:       2%{?dist}
Summary:       Zen is a powerful, yet simple, HTML5 starting theme

Group:         Applications/Publishing
# Drupal theme itself is licensed under GPL
# js/html5.js and js/html5-respond.js are dual-licensed under MIT or GPL
#
# Added upstream issue http://drupal.org/node/1985332 to address rpmlint
# "incorrect-fsf-address STARTERKIT/sass-extensions/zen-grids/LICENSE.txt"
License:       GPLv2 and MIT
URL:           http://drupal.org/project/%{theme_name}
Source0:       http://ftp.drupal.org/files/projects/%{theme_name}-7.x-%{version}.tar.gz
Source1:       %{name}-RPM-README.txt

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: drupal7-rpmbuild

Requires:      drupal7
# phpci
Requires:      php-pcre

Provides:      drupal7-%{theme_name} = %{version}
Provides:      drupal7(%{theme_name}) = %{version}

%description
Zen is a powerful, yet simple, HTML5 starting theme with a responsive,
mobile-first grid design. If you are building your own standards-compliant
theme, you will find it much easier to start with Zen than to start with
Garland or Stark. This theme has fantastic online documentation
(http://drupal.org/node/193318) and tons of helpful code comments
in its' PHP, HTML, CSS and Sass.


%prep
%setup -q -n %{theme_name}
cp -p %{SOURCE1} .


%build
# Empty build section, nothing to build


%install
rm -rf %{buildroot}
mkdir -p -m 0755 %{buildroot}%{drupal7_themes}/%{theme_name}
cp -pr * %{buildroot}%{drupal7_themes}/%{theme_name}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc *.txt
%{drupal7_themes}/%{theme_name}
%exclude %{drupal7_themes}/%{theme_name}/*.txt


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Aug 22 2013 Peter Borsa <peter.borsa@gmail.com> - 5.4-1
- Update to upstream 5.4 release for security and bug fixes
- SA-CONTRIB-2013-070 https://drupal.org/node/2071157
- Upstream changelog for this release is available at https://drupal.org/node/2071055

* Thu Aug 08 2013 Peter Borsa <peter.borsa@gmail.com> - 5.3-1
- Update to upstream 5.3 release for bug fixes
- Upstream changelog for this release is available at https://drupal.org/node/2054707

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed May 08 2013 Shawn Iwinski <shawn.iwinski@gmail.com> 5.1-3
- Added drupal7-%%{theme_name} virtual provide

* Thu May 02 2013 Shawn Iwinski <shawn.iwinski@gmail.com> 5.1-2
- Fixed license

* Thu Mar 28 2013 Shawn Iwinski <shawn.iwinski@gmail.com> 5.1-1
- Initial package
